Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class ContentResourceBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ResourceBean
          com.jaspersoft.jasperserver.util.ContentResourceBean

    public class ContentResourceBean

extends ResourceBean

Version:
  $Id: ContentResourceBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`ContentResourceBean()`

Method Summary
`java.lang.String` | `getFileType()`
`boolean` | `getHasData()`
`boolean` | `getIsReference()`
`ResourceBean` | `getLinkTarget()`
`java.lang.String` | `getReferenceUri()`
`ContentResourceBean[]` | `getResources()`
`void` | `setFileType(java.lang.String fileType)`
`void` | `setHasData(boolean hasData)`
`void` | `setLinkTarget(ResourceBean linkTarget)`
`void` | `setReferenceUri(java.lang.String referenceUri)`
`void` | `setResources(ContentResourceBean[] resources)`

Methods inherited from class com.jaspersoft.jasperserver.util.ResourceBean
`getCreationDate, getDescription, getIsNew, getIsUriReference, getLabel, getName, getParentFolder, getProductReleaseVersion, getResourceBeanType, getResourceType, getUriString, getVersion, setCreationDate, setDescription, setIsNew, setIsUriReference, setLabel, setName, setParentFolder, setProductReleaseVersion, setResourceBeanType, setResourceType, setUriString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentResourceBean

    public ContentResourceBean()

Method Detail

### getFileType

    public java.lang.String getFileType()

### setFileType

    public void setFileType(java.lang.String fileType)

### getReferenceUri

    public java.lang.String getReferenceUri()

### setReferenceUri

    public void setReferenceUri(java.lang.String referenceUri)

### getResources

    public ContentResourceBean[] getResources()

### setResources

    public void setResources(ContentResourceBean[] resources)

### getHasData

    public boolean getHasData()

### setHasData

    public void setHasData(boolean hasData)

### getIsReference

    public boolean getIsReference()

### getLinkTarget

    public ResourceBean getLinkTarget()

### setLinkTarget

    public void setLinkTarget(ResourceBean linkTarget)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.